Status: Closed Start date: 11/10/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

Log file is attached. The tmin and tmax parameters in input are not those passed to the cfitsio selection string.

History

#1 - 11/28/2017 03:14 PM - Knödlseder Jürgen

- Target version set to 1.5.0

#2 - 01/22/2018 05:30 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

I double checked the ctselect tool. There is in fact no problem, it's just that the information in the log file is not correct. The reason is that the time

intervals do not overlap with the specified time range; your specified time range selects events from observations 110456 - 110512 which seem not to

be included into your run (at least not in the log file).

I changed the ctselect output to be more explicit:

2018-01-22T16:16:08: === CTA observation "GPS" (id=110454) ===

2018-01-22T16:16:08:  Input filename ............: /Users/jurgen/analysis/cta/dc/1dc/tutorial/20170920/1dc/data/baseline/gps/gps_baseline_110454.fits

2018-01-22T16:16:08:  Event extension name ......: EVENTS

2018-01-22T16:16:08:  GTI extension name ........: GTI

2018-01-22T16:16:08: === Event selection ===

2018-01-22T16:16:08:  Time range ................: None. There is no overlap between existing and requested time interval.

2018-01-22T16:16:08:  cfitsio selection .........:

2018-01-22T16:16:08:  FITS filename .............: /var/tmp/tmp.454.y3KRrH[EVENTS]

2018-01-22T16:16:08: === CTA observation "GPS" (id=110455) ===

2018-01-22T16:16:08:  Input filename ............: /Users/jurgen/analysis/cta/dc/1dc/tutorial/20170920/1dc/data/baseline/gps/gps_baseline_110455.fits

2018-01-22T16:16:08:  Event extension name ......: EVENTS

2018-01-22T16:16:08:  GTI extension name ........: GTI

2018-01-22T16:16:08: === Event selection ===

2018-01-22T16:16:08:  Time range ................: None. There is no overlap between existing and requested time interval.

2018-01-22T16:16:08:  cfitsio selection .........:

2018-01-22T16:16:08:  FITS filename .............: /var/tmp/tmp.455.xSwols[EVENTS]

2018-01-22T16:16:08: === CTA observation "GPS" (id=110456) ===

2018-01-22T16:16:08:  Input filename ............: /Users/jurgen/analysis/cta/dc/1dc/tutorial/20170920/1dc/data/baseline/gps/gps_baseline_110456.fits

2018-01-22T16:16:08:  Event extension name ......: EVENTS

2018-01-22T16:16:08:  GTI extension name ........: GTI

2018-01-22T16:16:08: === Event selection ===

2018-01-22T16:16:08:  Time range (MJD) ..........: 59239.5 - 59239.5208333333 days

2018-01-22T16:16:08:  Time range (UTC) ..........: 2021-01-25T11:58:51 - 2021-01-25T12:28:51

2018-01-22T16:16:08:  Time range (MET) ..........: 664848000 - 664849800 seconds

2018-01-22T16:16:08:  cfitsio selection .........: TIME >= 664848000.00000000 && TIME <= 664849800.00000000

2018-01-22T16:16:08:  FITS filename .............: /var/tmp/tmp.456.vrOYVh[EVENTS][TIME >= 664848000.00000000 && TIME <=

 664849800.00000000]

2018-01-22T16:16:08: === CTA observation "GPS" (id=110457) ===

2018-01-22T16:16:08:  Input filename ............: /Users/jurgen/analysis/cta/dc/1dc/tutorial/20170920/1dc/data/baseline/gps/gps_baseline_110457.fits

2018-01-22T16:16:08:  Event extension name ......: EVENTS

2018-01-22T16:16:08:  GTI extension name ........: GTI

2018-01-22T16:16:09: === Event selection ===

2018-01-22T16:16:09:  Time range (MJD) ..........: 59239.5222222222 - 59239.5430555556 days

2018-01-22T16:16:09:  Time range (UTC) ..........: 2021-01-25T12:30:51 - 2021-01-25T13:00:51

2018-01-22T16:16:09:  Time range (MET) ..........: 664849920 - 664851720 seconds

2018-01-22T16:16:09:  cfitsio selection .........: TIME >= 664849920.00000000 && TIME <= 664851720.00000000
2018-01-22T16:16:09:  FITS filename .............: /var/tmp/tmp.457.uRYs6t[EVENTS][TIME >= 664849920.00000000 && TIME <=

 664851720.00000000]

#3 - 01/23/2018 12:20 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The code has been merged into devel.

Files

ctselect.log 70.2 KB 11/10/2017 Tibaldo Luigi
